Skip to main content
`Ctrl`+`K`

# MatLMVMGetLastUpdate

Get the last vectors passed to `MatLMVMUpdate()`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMGetLastUpdate(Mat B, Vec *x_prev, Vec *f_prev)

Not collective

## Input Parameter

- B - a `MatLMVM` matrix

## Output Parameters

- x_prev - the last solution vector

- f_prev - the last function vector

## See Also

Matrices, `MatLMVM`, `MatLMVMUpdate()`

## Level

intermediate

## Location

src/ksp/ksp/utils/lmvm/lmvmimpl.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages